Removing path in shell redirections

This commit is contained in:
zonkzonk 2017-01-31 21:13:32 +00:00 committed by radare
parent d50ba765eb
commit 56366df728
9 changed files with 16 additions and 16 deletions

View File

@ -125,7 +125,7 @@ mkdir -p "${R2PM_PLUGDIR}"
R2PM_SYSPKG() {
IS_SYSPKG="$1"
echo "R2PM_SYSPKG is going to be deprecated" > /dev/stderr
echo "R2PM_SYSPKG is going to be deprecated" >&2
}
R2PM_DESC() {
@ -231,12 +231,12 @@ R2PM_Info() {
if [ -n "${R2PM_DBDIR}" -a -d "${R2PM_DBDIR}" ]; then
echo "# Repository Database:"
cd "${R2PM_DBDIR}"
echo "# $(ls |wc -l) Packages" > /dev/stderr
echo "# $(ls |wc -l) Packages" >&2
fi
cd "${R2PM_USRDIR}/pkg"
echo "# Installed:"
printf "# $(ls |wc -l) Packages\n# " > /dev/stderr
du -hs "${HOME}/.config/radare2" > /dev/stderr
printf "# $(ls |wc -l) Packages\n# " >&2
du -hs "${HOME}/.config/radare2" >&2
}
R2PM_REGISTER() {
@ -312,8 +312,8 @@ r2pm_uninstall() {
echo Oops
fi
else
echo "Unable to find package template for $2." > /dev/stderr
echo "Use -uu to remove it from the database." > /dev/stderr
echo "Unable to find package template for $2." >&2
echo "Use -uu to remove it from the database." >&2
fi
fi
}
@ -340,7 +340,7 @@ case "$1" in
TRAVIS_JOB=`${CURL} -s https://api.travis-ci.org/repos?slug=radare%2Fradare2| jq .[0].last_build_id`
TRAVIS_JOB=$(($TRAVIS_JOB+1))
fi
echo $TRAVIS_JOB > /dev/stderr
echo $TRAVIS_JOB >&2
# storage
${CURL} -s https://s3.amazonaws.com/archive.travis-ci.org/jobs/${TRAVIS_JOB}/log.txt |\
grep -C 1 ${TRAVIS_TYPE} | grep '\[ ' | sed -e 's,\[ \],['${TRAVIS_TYPE}'],g'

View File

@ -22,7 +22,7 @@ if [ -z "${CC}" ]; then
fi
done
if [ -z "${CC}" ]; then
echo "Cannot find CC" > /dev/stderr
echo "Cannot find CC" >&2
exit 1
fi
fi

View File

@ -211,7 +211,7 @@ sort_vars
if [ - != "${RMSTATIC}" ]; then
if [ -z "${RMSTATIC}" ]; then
echo "Missing argument" > /dev/stderr
echo "Missing argument" >&2
exit
fi
if [ -d "${RMSTATIC}" ]; then

View File

@ -914,7 +914,7 @@ static RList *r_debug_native_map_get (RDebug *dbg) {
#if __sun
char path[1024];
/* TODO: On solaris parse /proc/%d/map */
snprintf (path, sizeof(path) - 1, "pmap %d > /dev/stderr", ps.tid);
snprintf (path, sizeof(path) - 1, "pmap %d >&2", ps.tid);
system (path);
#else
RDebugMap *map;

View File

@ -131,7 +131,7 @@ TAG_CALLBACK(spp_trace)
{
char b[1024];
if (!echo[ifl]) return 0;
snprintf(b, 1023, "echo '%s' > /dev/stderr", buf);
snprintf(b, 1023, "echo '%s' >&2", buf);
system(b);
return 0;
}

View File

@ -70,8 +70,8 @@ fi
#fi
if [ "${BUILD}" != 0 ]; then
if [ ! -d "${NDK}" ]; then
echo "Cannot find Android NDK ${NDK}" > /dev/stderr
echo "echo NDK=/path/to/ndk > ~/.r2androidrc" > /dev/stderr
echo "Cannot find Android NDK ${NDK}" >&2
echo "echo NDK=/path/to/ndk > ~/.r2androidrc" >&2
#echo "echo SDK=/path/to/sdk >> ~/.r2androidrc"
exit 1
fi

View File

@ -37,7 +37,7 @@ indentFile() {
echo "Cannot find $IFILE"
return
fi
echo "Indenting ${IFILE} ..." > /dev/stderr
echo "Indenting ${IFILE} ..." >&2
cp -f doc/clang-format ${CWD}/.clang-format
(
cd "$CWD"

View File

@ -22,7 +22,7 @@ echo $CC $*
${CC} $*
r=$?
if [ "$r" != 0 ]; then
echo ${CC} $* > /dev/stderr
echo ${CC} $* >&2
fi
exit $r

View File

@ -5,7 +5,7 @@ if [ $? != 0 ]; then
if [ "`uname`" = Darwin ]; then
brew install dialog || exit 1
else
echo "Cannot find dialog in PATH" > /dev/stderr
echo "Cannot find dialog in PATH" >&2
exit 1
fi
fi